Bug 2027 - compile error on md5.h include (conflicting types for `MD5_CTX') Suse 9.1
compile error on md5.h include (conflicting types for `MD5_CTX') Suse 9.1
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.8
x86 Linux
: P3 regression
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 17:58 UTC by Mustafa Mehmed
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
md5.h definitions (898 bytes, text/plain)
2004-11-11 18:13 UTC, Mustafa Mehmed
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mustafa Mehmed 2004-11-11 17:58:45 UTC
make breaks on samba3-3.0.8-16.i586 at md5.h include (conflicting types for 
`MD5_CTX') 
  
see following:  
  
  
 ./configure parameters 
 
~/samba-3.0.8/source # ./configure --with-ads --with-krb5=/usr/heimdal 
--with-pam --with-winbind 
 
make output 
 
~/samba-3.0.8/source # make 
Using FLAGS =  -I/usr/heimdal/include -O -I./popt -Iinclude 
-I/home/mehmed/samba-3.0.8/source/include -I/home/mehmed/samba- 
3.0.8/source/ubiqx -I/home/mehmed/samba-3.0.8/source/smbwrapper  -I. 
-I/usr/heimdal/include -D_LARGEFILE64_SOURCE -D_FILE_O 
FFSET_BITS=64 -D_GNU_SOURCE -I/home/mehmed/samba-3.0.8/source 
      LIBS = -lcrypt -lresolv -lnsl -ldl 
      LDSHFLAGS = -shared -Wl,-Bsymbolic  -L/usr/heimdal/lib 
      LDFLAGS = -L/usr/heimdal/lib 
. 
. 
. 
. 
Compiling libsmb/clikrb5.c 
libsmb/clikrb5.c: In function `krb5_princ_component': 
libsmb/clikrb5.c:530: warning: assignment discards qualifiers from pointer 
target type 
 
. 
 
. 
.. 
Compiling passdb/pdb_ldap.c 
passdb/pdb_ldap.c: In function `ldapsam_alias_memberships': 
passdb/pdb_ldap.c:2758: warning: passing arg 5 of `smbldap_search' from 
incompatible pointer type 
 
. 
 
. 
.. 
Compiling lib/util_str.c 
lib/util_str.c: In function `strstr_m': 
lib/util_str.c:1337: warning: return discards qualifiers from pointer target 
type 
 
. 
. 
Compiling lib/md5.c 
In file included from lib/md5.c:23: 
/usr/heimdal/include/md5.h:55: error: conflicting types for `MD5_CTX' 
include/md5.h:22: error: previous declaration of `MD5_CTX' 
make: *** [lib/md5.o] Error 1
Comment 1 Mustafa Mehmed 2004-11-11 18:13:43 UTC
Created attachment 767 [details]
md5.h definitions

md5.h definitions found on suse9.1 machine
Comment 2 Gerald (Jerry) Carter 2004-11-11 20:33:52 UTC
fixed for 3.0.9
Comment 3 Mustafa Mehmed 2004-11-16 21:05:44 UTC
(In reply to comment #2)
> fixed for 3.0.9

Where do I get 3.0.9 ?

Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.